Modify

Opened 5 years ago

Closed 5 years ago

#13056 closed defect (fixed)

Recent trunk - broken wireless tp-link wr703n

Reported by: anonymous Owned by: developers
Priority: normal Milestone: Chaos Calmer 15.05
Component: packages Version: Trunk
Keywords: Cc:

Description

r35752 - works ok
newer revisions - broken, probably because of mac80211 update

   6.200000] eth0: link up (10Mbps/Half duplex)
[    6.780000] jffs2: notice: (415) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (0 unchecked, 0 orphan) and 33 of xref (0 dead, 21 orphan) found.
[    6.990000] eth0: link down
[    8.880000] Compat-drivers backport release: compat-drivers-2013-01-21-1
[    8.890000] Backport based on wireless-testing.git master-2013-02-22
[    8.900000] compat.git: wireless-testing.git
[    8.930000] cfg80211: Calling CRDA to update world regulatory domain
[    8.940000] cfg80211: World regulatory domain updated:
[    8.940000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[    8.950000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    8.960000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[    8.960000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[    8.970000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    8.980000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.330000] usbcore: registered new interface driver usbfs
[    9.340000] usbcore: registered new interface driver hub
[    9.340000] usbcore: registered new device driver usb
[    9.940000] ath: EEPROM regdomain: 0x0
[    9.940000] ath: EEPROM indicates default country code should be used
[    9.940000] ath: doing EEPROM country->regdmn map search
[    9.940000] ath: country maps to regdmn code: 0x3a
[    9.940000] ath: Country alpha2 being used: US
[    9.940000] ath: Regpair used: 0x3a
[    9.940000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[    9.940000] Registered led device: ath9k-phy0
[    9.940000] ieee80211 phy0: Atheros AR9330 Rev:1 mem=0xb8100000, irq=2
[    9.950000] cfg80211: Calling CRDA for country: US
[    9.950000] cfg80211: Regulatory domain changed to country: US
[    9.960000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[    9.970000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[    9.970000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[    9.980000] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.990000] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   10.000000] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   10.010000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[   10.070000] PPP generic driver version 2.4.2
[   10.430000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   10.550000] NET: Registered protocol family 24
[   10.570000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[   10.570000] ehci-platform ehci-platform: Generic Platform EHCI Controller
[   10.580000] ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
[   10.620000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
[   10.640000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
[   10.640000] hub 1-0:1.0: USB hub found
[   10.640000] hub 1-0:1.0: 1 port detected
[   10.670000] nf_conntrack version 0.5.0 (455 buckets, 1820 max)
[   14.760000] device eth0 entered promiscuous mode
[   15.580000] eth0: link up (10Mbps/Half duplex)
[   15.580000] br-lan: port 1(eth0) entered forwarding state
[   15.590000] br-lan: port 1(eth0) entered forwarding state
[   17.590000] br-lan: port 1(eth0) entered forwarding state
[   26.130000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   26.130000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   26.220000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   26.220000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   26.470000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   26.480000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

Attachments (0)

Change History (8)

comment:1 Changed 5 years ago by nbd

  • Resolution set to too_vague
  • Status changed from new to closed

You're missing a proper problem description. Please describe the exact issues with the current version.

comment:2 Changed 5 years ago by anonymous

  • Resolution too_vague deleted
  • Status changed from closed to reopened

wireless config:

config wifi-device 'radio0'
	option type 'mac80211'
	option hwmode '11ng'
	option path 'platform/ar933x_wmac'
	option htmode 'HT20'
	list ht_capab 'SHORT-GI-20'
	list ht_capab 'SHORT-GI-40'
	list ht_capab 'RX-STBC1'
	list ht_capab 'DSSS_CCK-40'
	option country 'US'
	option channel '8'
	option txpower '9'
	option disabled '0'
	option noscan '1'

config wifi-iface
	option device 'radio0'
	option encryption 'none'
	option ssid 'Sa-ap'
	option mode 'sta'
	option bssid 'D4:CA:**:**:**:**'
	option network 'WAN'
	option disabled '0'

r35752 - all works fine
kernel log:

[    0.000000] Linux version 3.7.9 (nick@anna-vaio) (gcc version 4.6.4 20121210 (prerelease) (Linaro GCC 4.6-2012.12) ) #10 Sun Feb 24 12:11:22 EET 2013
[    0.000000] MyLoader: sysp=388dd517, boardp=04505212, parts=7709ac36
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 00019374 (MIPS 24Kc)
[    0.000000] SoC: Atheros AR9330 rev 1
[    0.000000] Clocks: CPU:400.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:25.000MHz
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x01ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x01ffffff]
[    0.000000] On node 0 totalpages: 8192
[    0.000000] free_area_init_node: node 0, pgdat 802e9c90, node_mem_map 81000000
[    0.000000]   Normal zone: 64 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 8128 pages, LIFO batch:0
[    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line:  board=TL-WR703N console=ttyATH0,115200 rootfstype=squashfs,jffs2 noinitrd
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] __ex_table already sorted, skipping sort
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 28920k/32768k available (2115k kernel code, 3848k reserved, 572k data, 252k init, 0k highmem)
[    0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] NR_IRQS:51
[    0.080000] Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
[    0.080000] pid_max: default: 32768 minimum: 301
[    0.080000] Mount-cache hash table entries: 512
[    0.090000] NET: Registered protocol family 16
[    0.090000] MIPS: machine is TP-LINK TL-WR703N v1
[    0.350000] bio: create slab <bio-0> at 0
[    0.350000] Switching to clocksource MIPS
[    0.360000] NET: Registered protocol family 2
[    0.360000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.370000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.370000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.380000] TCP: reno registered
[    0.380000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.390000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.400000] NET: Registered protocol family 1
[    0.400000] PCI: CLS 0 bytes, default 32
[    0.420000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.420000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.430000] msgmni has been set to 56
[    0.440000] io scheduler noop registered
[    0.440000] io scheduler deadline registered (default)
[    0.440000] Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
[    0.450000] ar933x-uart: ttyATH0 at MMIO 0x18020000 (irq = 11) is a AR933X UART
[    0.460000] console [ttyATH0] enabled, bootconsole disabled
[    0.470000] ath79-spi ath79-spi: master is unqueued, this is deprecated
[    0.480000] m25p80 spi0.0: found en25q32b, expected m25p80
[    0.480000] m25p80 spi0.0: en25q32b (4096 Kbytes)
[    0.490000] 5 tp-link partitions found on MTD device spi0.0
[    0.490000] Creating 5 MTD partitions on "spi0.0":
[    0.500000] 0x000000000000-0x000000020000 : "u-boot"
[    0.500000] 0x000000020000-0x0000001112f8 : "kernel"
[    0.510000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.520000] 0x0000001112f8-0x0000003f0000 : "rootfs"
[    0.530000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.540000] mtd: partition "rootfs" set to be root filesystem
[    0.540000] mtd: partition "rootfs_data" created automatically, ofs=2E0000, len=110000 
[    0.550000] 0x0000002e0000-0x0000003f0000 : "rootfs_data"
[    0.560000] 0x0000003f0000-0x000000400000 : "art"
[    0.560000] 0x000000020000-0x0000003f0000 : "firmware"
[    0.590000] libphy: ag71xx_mdio: probed
[    0.590000] eth0: Atheros AG71xx at 0xb9000000, irq 4, mode:MII
[    1.140000] ag71xx ag71xx.0 eth0: connected to PHY at ag71xx-mdio.1:04 [uid=004dd041, driver=Generic PHY]
[    1.150000] TCP: cubic registered
[    1.150000] NET: Registered protocol family 17
[    1.160000] 8021q: 802.1Q VLAN Support v1.8
[    1.170000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[    1.180000] Freeing unused kernel memory: 252k freed
[    3.500000] Registered led device: tp-link:blue:system
[    6.210000] eth0: link up (10Mbps/Half duplex)
[    6.800000] jffs2: notice: (415) jffs2_build_xattr_subsystem: complete building xattr subsystem, 20 of xdatum (0 unchecked, 19 orphan) and 33 of xref (0 dead, 21 orphan) found.
[    7.020000] eth0: link down
[    8.930000] Compat-drivers backport release: compat-drivers-2013-01-08-3
[    8.930000] Backport based on wireless-testing.git master-2013-01-07
[    8.940000] compat.git: wireless-testing.git
[    8.970000] cfg80211: Calling CRDA to update world regulatory domain
[    8.980000] cfg80211: World regulatory domain updated:
[    8.980000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[    8.990000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.000000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[    9.000000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[    9.010000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.020000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.370000] usbcore: registered new interface driver usbfs
[    9.380000] usbcore: registered new interface driver hub
[    9.390000] usbcore: registered new device driver usb
[    9.970000] ath: EEPROM regdomain: 0x0
[    9.970000] ath: EEPROM indicates default country code should be used
[    9.970000] ath: doing EEPROM country->regdmn map search
[    9.970000] ath: country maps to regdmn code: 0x3a
[    9.970000] ath: Country alpha2 being used: US
[    9.970000] ath: Regpair used: 0x3a
[    9.980000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[    9.980000] Registered led device: ath9k-phy0
[    9.980000] ieee80211 phy0: Atheros AR9330 Rev:1 mem=0xb8100000, irq=2
[    9.990000] cfg80211: Calling CRDA for country: US
[    9.990000] cfg80211: Regulatory domain changed to country: US
[    9.990000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   10.000000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[   10.010000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[   10.020000] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   10.030000] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   10.030000] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   10.040000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[   10.110000] PPP generic driver version 2.4.2
[   10.470000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   10.590000] NET: Registered protocol family 24
[   10.610000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[   10.610000] ehci-platform ehci-platform: Generic Platform EHCI Controller
[   10.620000] ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
[   10.660000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
[   10.680000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
[   10.680000] hub 1-0:1.0: USB hub found
[   10.680000] hub 1-0:1.0: 1 port detected
[   10.710000] nf_conntrack version 0.5.0 (455 buckets, 1820 max)
[   14.840000] device eth0 entered promiscuous mode
[   15.630000] eth0: link up (10Mbps/Half duplex)
[   15.630000] br-lan: port 1(eth0) entered forwarding state
[   15.640000] br-lan: port 1(eth0) entered forwarding state
[   17.640000] br-lan: port 1(eth0) entered forwarding state
[   21.210000] wlan0: authenticate with d4:ca:6d:**:**:**
[   21.230000] wlan0: send auth to d4:ca:6d:**:**:** (try 1/3)
[   21.290000] wlan0: authenticated
[   21.310000] wlan0: associate with d4:ca:6d:**:**:** (try 1/3)
[   21.340000] wlan0: RX AssocResp from d4:ca:6d:**:**:** (capab=0x421 status=0 aid=3)
[   21.350000] wlan0: associated
[ 4709.810000] eth0: link down
[ 4709.810000] br-lan: port 1(eth0) entered disabled state
[ 5810.810000] eth0: link up (100Mbps/Full duplex)
[ 5810.810000] br-lan: port 1(eth0) entered forwarding state
[ 5810.820000] br-lan: port 1(eth0) entered forwarding state
[ 5812.820000] br-lan: port 1(eth0) entered forwarding state
[ 5838.810000] eth0: link down
[ 5838.810000] br-lan: port 1(eth0) entered disabled state
[ 5840.810000] eth0: link up (100Mbps/Full duplex)
[ 5840.810000] br-lan: port 1(eth0) entered forwarding state
[ 5840.820000] br-lan: port 1(eth0) entered forwarding state
[ 5842.820000] br-lan: port 1(eth0) entered forwarding state
[ 5978.810000] eth0: link up (10Mbps/Half duplex)
[ 7265.540000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[ 7266.160000] wlan0: authenticate with d4:ca:6d:**:**:**
[ 7266.190000] wlan0: send auth to d4:ca:6d:**:**:** (try 1/3)
[ 7266.190000] wlan0: authenticated
[ 7266.200000] wlan0: associate with d4:ca:6d:**:**:** (try 1/3)
[ 7266.210000] wlan0: RX AssocResp from d4:ca:6d:**:**:** (capab=0x421 status=0 aid=3)
[ 7266.220000] wlan0: associated
[11636.810000] eth0: link down
[11636.810000] br-lan: port 1(eth0) entered disabled state
[18854.330000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[18854.950000] wlan0: authenticate with d4:ca:6d:**:**:**
[18854.980000] wlan0: send auth to d4:ca:6d:**:**:** (try 1/3)
[18855.190000] wlan0: send auth to d4:ca:6d:**:**:** (try 2/3)
[18855.400000] wlan0: send auth to d4:ca:6d:**:**:** (try 3/3)
[18855.610000] wlan0: authentication with d4:ca:6d:**:**:** timed out
[18855.620000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[18857.500000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[18858.120000] wlan0: authenticate with d4:ca:6d:**:**:**
[18858.150000] wlan0: send auth to d4:ca:6d:**:**:** (try 1/3)
[18858.360000] wlan0: send auth to d4:ca:6d:**:**:** (try 2/3)
[18858.570000] wlan0: send auth to d4:ca:6d:**:**:** (try 3/3)
[18858.780000] wlan0: authentication with d4:ca:6d:**:**:** timed out
[18858.790000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[18858.800000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00024e00
[18858.810000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[18862.370000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[18869.110000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[18869.130000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00004400
[18869.130000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[18870.840000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[18874.220000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[18875.980000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[18876.000000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00004400
[18876.000000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[18882.690000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[18884.390000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[18884.410000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[18884.410000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[18886.720000] wlan0: authenticate with d4:ca:6d:**:**:**
[18886.750000] wlan0: send auth to d4:ca:6d:**:**:** (try 1/3)
[18886.960000] wlan0: send auth to d4:ca:6d:**:**:** (try 2/3)
[18887.170000] wlan0: send auth to d4:ca:6d:**:**:** (try 3/3)
[18887.380000] wlan0: authentication with d4:ca:6d:**:**:** timed out
[18887.390000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[18888.190000] wlan0: authenticate with d4:ca:6d:**:**:**
[18888.220000] wlan0: send auth to d4:ca:6d:**:**:** (try 1/3)
[18888.310000] wlan0: authenticated
[18888.330000] wlan0: associate with d4:ca:6d:**:**:** (try 1/3)
[18888.340000] wlan0: RX AssocResp from d4:ca:6d:**:**:** (capab=0x421 status=0 aid=3)
[18888.340000] wlan0: associated
[24533.190000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24533.810000] wlan0: authenticate with d4:ca:6d:**:**:**
[24533.840000] wlan0: send auth to d4:ca:6d:**:**:** (try 1/3)
[24534.050000] wlan0: send auth to d4:ca:6d:**:**:** (try 2/3)
[24534.260000] wlan0: send auth to d4:ca:6d:**:**:** (try 3/3)
[24534.470000] wlan0: authentication with d4:ca:6d:**:**:** timed out
[24534.480000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24534.490000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00024e00
[24534.500000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[24536.380000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24538.080000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24539.840000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24539.860000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00024400
[24539.860000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[24541.510000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24543.210000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24544.910000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24546.610000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24548.310000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24548.330000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[24548.330000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[24550.040000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24551.800000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24553.440000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24555.200000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24555.220000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[24555.220000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[24556.870000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24560.250000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24561.950000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24563.650000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24565.350000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24567.050000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24568.750000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24570.450000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24573.890000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24575.530000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24578.910000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24580.610000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24582.310000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24584.010000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24585.710000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24587.410000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24590.790000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24592.490000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24594.190000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24595.890000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24597.590000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24599.890000] wlan0: authenticate with d4:ca:6d:**:**:**
[24599.920000] wlan0: send auth to d4:ca:6d:**:**:** (try 1/3)
[24600.130000] wlan0: send auth to d4:ca:6d:**:**:** (try 2/3)
[24600.340000] wlan0: send auth to d4:ca:6d:**:**:** (try 3/3)
[24600.550000] wlan0: authentication with d4:ca:6d:**:**:** timed out
[24600.560000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24601.360000] wlan0: authenticate with d4:ca:6d:**:**:**
[24601.390000] wlan0: send auth to d4:ca:6d:**:**:** (try 1/3)
[24601.600000] wlan0: send auth to d4:ca:6d:**:**:** (try 2/3)
[24601.810000] wlan0: send auth to d4:ca:6d:**:**:** (try 3/3)
[24602.020000] wlan0: authentication with d4:ca:6d:**:**:** timed out
[24602.030000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24602.040000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00024e00
[24602.050000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[24603.930000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24604.550000] wlan0: authenticate with d4:ca:6d:**:**:**
[24604.580000] wlan0: send auth to d4:ca:6d:**:**:** (try 1/3)
[24604.600000] wlan0: authenticated
[24604.620000] wlan0: associate with d4:ca:6d:**:**:** (try 1/3)
[24604.630000] wlan0: RX AssocResp from d4:ca:6d:**:**:** (capab=0x421 status=0 aid=3)
[24604.630000] wlan0: associated
[57629.850000] eth0: link up (100Mbps/Full duplex)
[57629.850000] br-lan: port 1(eth0) entered forwarding state
[57629.860000] br-lan: port 1(eth0) entered forwarding state
[57631.860000] br-lan: port 1(eth0) entered forwarding state
[57663.850000] eth0: link down
[57663.850000] br-lan: port 1(eth0) entered disabled state
[57664.850000] eth0: link up (10Mbps/Half duplex)
[57664.850000] br-lan: port 1(eth0) entered forwarding state
[57664.850000] br-lan: port 1(eth0) entered forwarding state
[57666.850000] br-lan: port 1(eth0) entered forwarding state

r35770 - doesn't connect to ap in client mode

kernel log:

[    0.000000] Linux version 3.7.9 (nick@anna-vaio) (gcc version 4.6.4 20121210 (prerelease) (Linaro GCC 4.6-2012.12) ) #13 Mon Feb 25 06:57:31 EET 2013
[    0.000000] MyLoader: sysp=388dd517, boardp=04505212, parts=7709ac36
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 00019374 (MIPS 24Kc)
[    0.000000] SoC: Atheros AR9330 rev 1
[    0.000000] Clocks: CPU:400.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:25.000MHz
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x01ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x01ffffff]
[    0.000000] On node 0 totalpages: 8192
[    0.000000] free_area_init_node: node 0, pgdat 802e9c90, node_mem_map 81000000
[    0.000000]   Normal zone: 64 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 8128 pages, LIFO batch:0
[    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line:  board=TL-WR703N console=ttyATH0,115200 rootfstype=squashfs,jffs2 noinitrd
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] __ex_table already sorted, skipping sort
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 28920k/32768k available (2115k kernel code, 3848k reserved, 572k data, 252k init, 0k highmem)
[    0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] NR_IRQS:51
[    0.080000] Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
[    0.080000] pid_max: default: 32768 minimum: 301
[    0.080000] Mount-cache hash table entries: 512
[    0.090000] NET: Registered protocol family 16
[    0.090000] MIPS: machine is TP-LINK TL-WR703N v1
[    0.350000] bio: create slab <bio-0> at 0
[    0.350000] Switching to clocksource MIPS
[    0.360000] NET: Registered protocol family 2
[    0.360000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.370000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.370000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.380000] TCP: reno registered
[    0.380000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.390000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.400000] NET: Registered protocol family 1
[    0.400000] PCI: CLS 0 bytes, default 32
[    0.420000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.420000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.430000] msgmni has been set to 56
[    0.440000] io scheduler noop registered
[    0.440000] io scheduler deadline registered (default)
[    0.440000] Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
[    0.450000] ar933x-uart: ttyATH0 at MMIO 0x18020000 (irq = 11) is a AR933X UART
[    0.460000] console [ttyATH0] enabled, bootconsole disabled
[    0.470000] ath79-spi ath79-spi: master is unqueued, this is deprecated
[    0.480000] m25p80 spi0.0: found en25q32b, expected m25p80
[    0.480000] m25p80 spi0.0: en25q32b (4096 Kbytes)
[    0.490000] 5 tp-link partitions found on MTD device spi0.0
[    0.490000] Creating 5 MTD partitions on "spi0.0":
[    0.500000] 0x000000000000-0x000000020000 : "u-boot"
[    0.500000] 0x000000020000-0x0000001112f0 : "kernel"
[    0.510000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.520000] 0x0000001112f0-0x0000003f0000 : "rootfs"
[    0.530000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.540000] mtd: partition "rootfs" set to be root filesystem
[    0.540000] mtd: partition "rootfs_data" created automatically, ofs=2E0000, len=110000 
[    0.550000] 0x0000002e0000-0x0000003f0000 : "rootfs_data"
[    0.560000] 0x0000003f0000-0x000000400000 : "art"
[    0.560000] 0x000000020000-0x0000003f0000 : "firmware"
[    0.590000] libphy: ag71xx_mdio: probed
[    0.590000] eth0: Atheros AG71xx at 0xb9000000, irq 4, mode:MII
[    1.140000] ag71xx ag71xx.0 eth0: connected to PHY at ag71xx-mdio.1:04 [uid=004dd041, driver=Generic PHY]
[    1.150000] TCP: cubic registered
[    1.150000] NET: Registered protocol family 17
[    1.160000] 8021q: 802.1Q VLAN Support v1.8
[    1.170000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[    1.180000] Freeing unused kernel memory: 252k freed
[    3.480000] Registered led device: tp-link:blue:system
[    6.190000] eth0: link up (10Mbps/Half duplex)
[    6.780000] jffs2_scan_eraseblock(): End of filesystem marker found at 0x10000
[    6.780000] jffs2_build_filesystem(): unlocking the mtd device... done.
[    6.790000] jffs2_build_filesystem(): erasing all blocks after the end marker... done.
[   12.800000] jffs2: notice: (415) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 of xref (0 dead, 0 orphan) found.
[   13.290000] eth0: link down
[   15.190000] Compat-drivers backport release: compat-drivers-2013-01-21-1
[   15.190000] Backport based on wireless-testing.git master-2013-02-22
[   15.200000] compat.git: wireless-testing.git
[   15.230000] cfg80211: Calling CRDA to update world regulatory domain
[   15.240000] cfg80211: World regulatory domain updated:
[   15.240000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   15.250000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   15.260000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   15.270000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   15.270000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   15.280000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   15.640000] usbcore: registered new interface driver usbfs
[   15.640000] usbcore: registered new interface driver hub
[   15.650000] usbcore: registered new device driver usb
[   16.240000] ath: EEPROM regdomain: 0x0
[   16.240000] ath: EEPROM indicates default country code should be used
[   16.240000] ath: doing EEPROM country->regdmn map search
[   16.240000] ath: country maps to regdmn code: 0x3a
[   16.240000] ath: Country alpha2 being used: US
[   16.240000] ath: Regpair used: 0x3a
[   16.250000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[   16.250000] Registered led device: ath9k-phy0
[   16.250000] ieee80211 phy0: Atheros AR9330 Rev:1 mem=0xb8100000, irq=2
[   16.250000] cfg80211: Calling CRDA for country: US
[   16.260000] cfg80211: Regulatory domain changed to country: US
[   16.260000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   16.270000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[   16.280000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[   16.290000] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   16.300000] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   16.300000] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   16.310000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[   16.370000] PPP generic driver version 2.4.2
[   16.740000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   16.850000] NET: Registered protocol family 24
[   16.870000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[   16.880000] ehci-platform ehci-platform: Generic Platform EHCI Controller
[   16.890000] ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
[   16.920000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
[   16.940000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
[   16.940000] hub 1-0:1.0: USB hub found
[   16.940000] hub 1-0:1.0: 1 port detected
[   16.970000] nf_conntrack version 0.5.0 (455 buckets, 1820 max)
[   21.620000] device eth0 entered promiscuous mode
[   22.280000] eth0: link up (10Mbps/Half duplex)
[   22.280000] br-lan: port 1(eth0) entered forwarding state
[   22.290000] br-lan: port 1(eth0) entered forwarding state
[   24.290000] br-lan: port 1(eth0) entered forwarding state
[   29.660000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   29.660000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   29.750000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   29.760000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   29.840000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   29.850000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   31.500000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   31.500000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   31.590000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   31.590000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   33.230000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   33.230000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   33.320000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   33.320000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   33.410000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   33.410000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   33.560000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   33.560000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   34.790000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   34.790000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   35.180000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   35.180000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   35.270000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   35.270000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   36.560000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   36.560000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   36.710000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   36.710000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   36.920000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   36.920000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   37.010000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   37.010000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   37.100000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   37.100000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   37.190000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   37.190000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   38.540000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006800
[   38.540000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   38.750000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   38.750000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   38.840000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   38.840000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   38.930000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   38.930000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   40.400000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   40.400000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   40.550000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   40.550000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   40.700000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   40.700000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   42.170000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   42.170000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   42.320000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   42.320000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   42.470000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   42.470000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   42.560000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   42.560000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   43.970000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   43.970000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   44.180000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   44.180000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   44.270000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   44.270000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   45.680000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   45.680000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   45.950000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   45.950000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   46.040000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   46.040000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   46.130000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   46.130000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   47.420000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   47.420000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   47.570000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   47.570000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   47.780000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   47.780000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   47.870000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   47.870000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   47.960000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   47.960000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   49.190000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   49.190000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   49.280000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   49.280000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[   49.430000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006400
[   49.430000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

what kind of debug information u need? thx

comment:3 Changed 5 years ago by nbd

  • Resolution set to fixed
  • Status changed from reopened to closed

fixed in r35785,r35786

comment:4 Changed 5 years ago by anonymous

  • Resolution fixed deleted
  • Status changed from closed to reopened

r35801 same config:

root@OpenWrt:/etc/config# iwconfig wlan0
wlan0     IEEE 802.11bgn  ESSID:off/any  
          Mode:Managed  Access Point: Not-Associated   Tx-Power=18 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          
root@OpenWrt:/etc/config# iwconfig wlan0 txpower 5
root@OpenWrt:/etc/config# iwconfig wlan0
wlan0     IEEE 802.11bgn  ESSID:off/any  
          Mode:Managed  Access Point: Not-Associated   Tx-Power=18 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          
root@OpenWrt:/etc/config# wifi detect > /etc/config/wireless2 && cat /etc/config/wireless2
root@OpenWrt:/etc/config#
[    0.000000] Linux version 3.7.9 (nick@anna-vaio) (gcc version 4.6.4 20121210 (prerelease) (Linaro GCC 4.6-2012.12) ) #16 Tue Feb 26 07:00:07 EET 2013
[    0.000000] MyLoader: sysp=388dd517, boardp=04505212, parts=7709ac36
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 00019374 (MIPS 24Kc)
[    0.000000] SoC: Atheros AR9330 rev 1
[    0.000000] Clocks: CPU:400.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:25.000MHz
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x01ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x01ffffff]
[    0.000000] On node 0 totalpages: 8192
[    0.000000] free_area_init_node: node 0, pgdat 802e9c90, node_mem_map 81000000
[    0.000000]   Normal zone: 64 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 8128 pages, LIFO batch:0
[    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line:  board=TL-WR703N console=ttyATH0,115200 rootfstype=squashfs,jffs2 noinitrd
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] __ex_table already sorted, skipping sort
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 28920k/32768k available (2115k kernel code, 3848k reserved, 572k data, 252k init, 0k highmem)
[    0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] NR_IRQS:51
[    0.080000] Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
[    0.080000] pid_max: default: 32768 minimum: 301
[    0.080000] Mount-cache hash table entries: 512
[    0.090000] NET: Registered protocol family 16
[    0.090000] MIPS: machine is TP-LINK TL-WR703N v1
[    0.350000] bio: create slab <bio-0> at 0
[    0.350000] Switching to clocksource MIPS
[    0.360000] NET: Registered protocol family 2
[    0.360000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.370000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.370000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.380000] TCP: reno registered
[    0.380000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.390000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.400000] NET: Registered protocol family 1
[    0.400000] PCI: CLS 0 bytes, default 32
[    0.420000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.420000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.430000] msgmni has been set to 56
[    0.440000] io scheduler noop registered
[    0.440000] io scheduler deadline registered (default)
[    0.440000] Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
[    0.450000] ar933x-uart: ttyATH0 at MMIO 0x18020000 (irq = 11) is a AR933X UART
[    0.460000] console [ttyATH0] enabled, bootconsole disabled
[    0.470000] ath79-spi ath79-spi: master is unqueued, this is deprecated
[    0.480000] m25p80 spi0.0: found en25q32b, expected m25p80
[    0.480000] m25p80 spi0.0: en25q32b (4096 Kbytes)
[    0.490000] 5 tp-link partitions found on MTD device spi0.0
[    0.490000] Creating 5 MTD partitions on "spi0.0":
[    0.500000] 0x000000000000-0x000000020000 : "u-boot"
[    0.500000] 0x000000020000-0x0000001112f4 : "kernel"
[    0.510000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.520000] 0x0000001112f4-0x0000003f0000 : "rootfs"
[    0.530000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.540000] mtd: partition "rootfs" set to be root filesystem
[    0.540000] mtd: partition "rootfs_data" created automatically, ofs=2F0000, len=100000 
[    0.550000] 0x0000002f0000-0x0000003f0000 : "rootfs_data"
[    0.560000] 0x0000003f0000-0x000000400000 : "art"
[    0.560000] 0x000000020000-0x0000003f0000 : "firmware"
[    0.590000] libphy: ag71xx_mdio: probed
[    0.590000] eth0: Atheros AG71xx at 0xb9000000, irq 4, mode:MII
[    1.140000] ag71xx ag71xx.0 eth0: connected to PHY at ag71xx-mdio.1:04 [uid=004dd041, driver=Generic PHY]
[    1.150000] TCP: cubic registered
[    1.150000] NET: Registered protocol family 17
[    1.160000] 8021q: 802.1Q VLAN Support v1.8
[    1.170000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[    1.180000] Freeing unused kernel memory: 252k freed
[    3.480000] Registered led device: tp-link:blue:system
[    6.190000] eth0: link up (100Mbps/Full duplex)
[    6.780000] jffs2_scan_eraseblock(): End of filesystem marker found at 0x10000
[    6.790000] jffs2_build_filesystem(): unlocking the mtd device... done.
[    6.790000] jffs2_build_filesystem(): erasing all blocks after the end marker... done.
[   12.220000] jffs2: notice: (415) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 of xref (0 dead, 0 orphan) found.
[   12.710000] eth0: link down
[   14.610000] Compat-drivers backport release: compat-drivers-2013-01-21-1
[   14.610000] Backport based on wireless-testing.git master-2013-02-22
[   14.620000] compat.git: wireless-testing.git
[   14.650000] cfg80211: Calling CRDA to update world regulatory domain
[   14.660000] cfg80211: World regulatory domain updated:
[   14.660000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   14.670000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   14.680000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   14.690000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   14.700000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   14.700000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   15.050000] usbcore: registered new interface driver usbfs
[   15.060000] usbcore: registered new interface driver hub
[   15.070000] usbcore: registered new device driver usb
[   15.660000] ath: EEPROM regdomain: 0x0
[   15.660000] ath: EEPROM indicates default country code should be used
[   15.660000] ath: doing EEPROM country->regdmn map search
[   15.660000] ath: country maps to regdmn code: 0x3a
[   15.660000] ath: Country alpha2 being used: US
[   15.660000] ath: Regpair used: 0x3a
[   15.660000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[   15.660000] Registered led device: ath9k-phy0
[   15.660000] ieee80211 phy0: Atheros AR9330 Rev:1 mem=0xb8100000, irq=2
[   15.670000] cfg80211: Calling CRDA for country: US
[   15.670000] cfg80211: Regulatory domain changed to country: US
[   15.680000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   15.690000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[   15.690000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[   15.700000] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   15.710000] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   15.720000] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   15.720000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[   15.800000] PPP generic driver version 2.4.2
[   16.150000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   16.270000] NET: Registered protocol family 24
[   16.290000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[   16.300000] ehci-platform ehci-platform: Generic Platform EHCI Controller
[   16.300000] ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
[   16.340000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
[   16.360000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
[   16.360000] hub 1-0:1.0: USB hub found
[   16.360000] hub 1-0:1.0: 1 port detected
[   16.390000] nf_conntrack version 0.5.0 (455 buckets, 1820 max)
[   21.140000] device eth0 entered promiscuous mode
[   21.410000] eth0: link up (100Mbps/Full duplex)
[   21.410000] br-lan: port 1(eth0) entered forwarding state
[   21.420000] br-lan: port 1(eth0) entered forwarding state
[   23.420000] br-lan: port 1(eth0) entered forwarding state
[   39.500000] eth0: link down
[   39.500000] br-lan: port 1(eth0) entered disabled state
[   41.500000] eth0: link up (10Mbps/Half duplex)
[   41.500000] br-lan: port 1(eth0) entered forwarding state
[   41.510000] br-lan: port 1(eth0) entered forwarding state
[   43.500000] br-lan: port 1(eth0) entered forwarding state

comment:5 Changed 5 years ago by nbd

Did you actually check if there's something in /etc/config/wireless? wifi detect will only output data for interfaces that aren't already in there.

comment:6 follow-up: Changed 5 years ago by anonymous

have made some tests:
master mode - ok
station mode:
connecting to visible encrypted network - ok

Channel: 2 | Mode: Master | BSSID: F0:7D:**:**:**:** | Encryption: WPA2 - PSK
[  773.080000] wlan0: authenticate with f0:7d:**:**:**:**
[  773.130000] wlan0: direct probe to f0:7d:**:**:**:** (try 1/3)
[  773.240000] wlan0: send auth to f0:7d:**:**:**:** (try 2/3)
[  773.240000] wlan0: authenticated
[  773.250000] wlan0: associate with f0:7d:**:**:**:** (try 1/3)
[  773.250000] wlan0: RX AssocResp from f0:7d:**:**:**:** (capab=0x431 status=0 aid=1)
[  773.260000] wlan0: associated
[  843.100000] wlan0: deauthenticating from f0:7d:**:**:**:** by local choice (reason=3)

connecting to hidden network - fail:

hidden
Channel: 8 | Mode: Master | BSSID: D4:CA:**:**:**:** | Encryption: open

wireless config(connecting to hidden network):

config wifi-device 'radio0'
	option type 'mac80211'
	option hwmode '11ng'
	option path 'platform/ar933x_wmac'
	option htmode 'HT20'
	list ht_capab 'SHORT-GI-20'
	list ht_capab 'SHORT-GI-40'
	list ht_capab 'RX-STBC1'
	list ht_capab 'DSSS_CCK-40'
	option txpower '10'
	option country 'US'
	option disabled '0'
	option channel '8'

config wifi-iface
	option encryption 'none'
	option device 'radio0'
	option mode 'sta'
	option network 'wwan'
	option bssid 'D4:CA:**:**:**:**'
	option ssid 'S-ap'

comment:7 in reply to: ↑ 6 Changed 5 years ago by anonymous

hidden network ssid and bssid - correct

comment:8 Changed 5 years ago by nbd

  • Resolution set to fixed
  • Status changed from reopened to closed

fixed in r35819

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.